
#include <qwidget.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlistview.h>

class MemberSearchPage : public QWidget
{
	Q_OBJECT
public:
	MemberSearchPage(QWidget *parent = 0, const char *name = 0);
	virtual ~MemberSearchPage();

private slots:
	void search();
	void clear();
	
private:
	QComboBox *m_pSearchFor;
	QLineEdit *m_pSearch;
	QListView *m_pList;
};
